Bug 1130393 - [test run] After add comment with html label to caserun, the caserun was shown in mess in run detail page.
Summary: [test run] After add comment with html label to caserun, the caserun was sho...
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: Application
Version: Devel
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 3.8.10
Assignee: cqi
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 06:32 UTC by yangqiu
Modified: 2018-07-04 21:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
[test run] After add comment with html lable to caserun, the caserun was shown in mess in run detail page. (172.01 KB, image/jpeg)
2014-08-15 06:32 UTC, yangqiu
no flags Details

Description yangqiu 2014-08-15 06:32:07 UTC
Created attachment 926985 [details]
[test run] After add comment with html lable to caserun,  the caserun was shown in mess in run detail page.

Description of problem:
as summary.

Version-Release number of selected component (if applicable):
v3.8.9 on product.

How reproducible:
100%

Steps to Reproduce:
1.Enter a run detail page,expand a caserun detail.

2.Add a comment with html lable, like:
<a class="btn" href="#" onclick="$(&quot;#add_comment_link&quot;).show();$(&quot;#state_comment_field&quot;).val(&quot;&quot;);$(&quot;#counter-state_comment_field&quot;).html(&quot;0/4000&quot;);$('#state_comment_form').toggle();; return false;">Cancel</a>
3.Check how system show this caserrun.

Actual results:
the caserun was shown in mess in run detail page.

Expected results:
the caserun was shown in normal.

Additional info:

Comment 1 cqi 2014-08-15 09:10:03 UTC
Fixed. and url is still converted to HTML hyperlink.

Comment 2 yangqiu 2014-08-18 07:09:41 UTC
verify this issue on v3.8.10-1 on devel server.--->Pass
verify steps are same as description.


Note You need to log in before you can comment on or make changes to this bug.